Name:		jpilot-Mail
Version:	0.1.7
Release:	%mkrel 4
Summary:	Mail plugin for JPilot
Source0:	http://ludovic.rousseau.free.fr/softwares/jpilot-Mail/%{name}-%{version}.tar.bz2
Patch0:		jpilot-Mail-0.1.7-gcc4.patch
URL:		http://ludovic.rousseau.free.fr/softwares/jpilot-Mail/index.html
Group:		Communications
License:	GPLv2 and GPLv2+
Requires:	jpilot >= 0.99.6
BuildRequires:	gtk2-devel 
BuildRequires:	jpilot_plugin-devel
BuildRequires:	pilot-link-devel >= 0.12.0

%description
jpilot-Mail is a plugin for JPilot which enables you to deliver mail that was
written on your Palm and upload mail that you received to your Palm.

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1 -b .gcc4
# To build on x86_64
sed -i "s|/usr/lib |%_libdir |g" configure

%build
%configure2_5x --enable-gtk2
%make

%install
mkdir -p %{buildroot}%{_libdir}/jpilot/plugins
make install libdir=%{buildroot}%{_libdir}/jpilot/plugins datadir=%{buildroot}%{_docdir}/%{name}
rm -f %{buildroot}%{_libdir}/jpilot/plugins/*a

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_libdir}/jpilot/plugins/libmail.*
%doc doc/*.png doc/*.html
%doc ChangeLog INSTALL README TODO



%changelog
* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.7-4mdv2008.1
+ Revision: 136127
- unversion doc dir
- rebuild for new era
- new license policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1.7-3mdv2007.1
+ Revision: 134781
- fix build on x86_64
- use autoconf2.5
- Import jpilot-Mail

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2007.0
- Rebuild with new pilot-link

* Mon May 29 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.7-1
- update from Cris B <cris@beebgames.com>
   - update URL
   - gcc4 patch
   - switch to gtk2

* Mon May 29 2006 Stefan van der Eijk <stefan@eijk.nu> 0.0.6-10mdk
- %%mkrel
- remove redundant BuildRequires

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.0.6-9mdk
- Rebuild

